#include <iostream>
#include <climits>

using namespace std;

int foo(int x)
{
    return x > 0 || -x > 0;
}

int main()
{
    cout << INT_MIN << " " << -INT_MIN << "\n";
    cout << foo(-INT_MIN) << "\n";
    return 0;
}
